Bug 164830 - Add -fstack-protector-all to cflags after $RPM_OPT_FLAGS
Summary: Add -fstack-protector-all to cflags after $RPM_OPT_FLAGS
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ethereal   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-01 17:56 UTC by Elliot Lee
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 12:05:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Elliot Lee 2005-08-01 17:56:33 UTC
From Uli:

> And again the note for our friends gaim, ethereal, (mjcox: extend the
> list, please): change the Makefiles or .spec files to add
> -fstack-protector-all after the RPM_OPT_FLAGS to unconditionally add the
> canary support in all functions.  This is not really slow either but
> will help catching problems.

Comment 1 Jindrich Novy 2005-08-02 08:06:20 UTC
Ok, this was added to the spec based on Warren's suggestion:

export RPM_OPT_FLAGS=${RPM_OPT_FLAGS//-fstack-protector/-fstack-protector-all}



Note You need to log in before you can comment on or make changes to this bug.